Bug Hunting Session
Bug 103684 - Status bar functions don't work across multiple sheets
Summary: Status bar functions don't work across multiple sheets
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-11-03 18:50 UTC by Eike Rathke
Modified: 2016-12-06 11:12 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2016-11-03 18:50:22 UTC
A document with two sheets, in
Sheet1.A1 enter 1
Sheet2.A1 enter 2
Select both sheets with the sheet tabs at the bottom (Ctrl+Click).
Place cell cursor on Sheet2.A1
Status bar Sum function should now display 3, but displays 2 instead.
Comment 1 Commit Notification 2016-11-03 22:22:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d777f85eaff6af8896942590316b7cd9f2c3e75

Resolves: tdf#103684 calculate status bar functions across sheets

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2016-11-03 22:42:24 UTC
Pending review https://gerrit.libreoffice.org/30546 for 5-2
Comment 3 Commit Notification 2016-11-04 14:44:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=029bd007b9886479ad1282bac733da4f358881ed

unit test for tdf#103684, calculate status bar function across sheets

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-11-05 18:14:47 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a296eee23380275ec7bad1dff8d81b75d98429f&h=libreoffice-5-2

Resolves: tdf#103684 calculate status bar functions across sheets

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 u81 2016-12-05 18:39:23 UTC
Thank you very much for recognising this as a bug and fixing it too. I've downloaded 5.4.1 and the bug does seem to be fixed now. Thanks once again.
Comment 6 Timur 2016-12-06 11:12:22 UTC
@u81: in that case, verified